> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apitaxonomycategoriesfind match



## OpenAPI

````yaml /api-reference/openapi.json post /api/taxonomy/categories/find-match
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /api/taxonomy/categories/find-match:
    post:
      tags:
        - Taxonomy
      parameters:
        - name: language
          in: query
          schema:
            type: string
            default: en
      requestBody:
        content:
          application/json:
            schema:
              type: string
          text/json:
            schema:
              type: string
          application/*+json:
            schema:
              type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/TaxonomyTaxonomyResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/TaxonomyTaxonomyResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/TaxonomyTaxonomyResponse'
components:
  schemas:
    TaxonomyTaxonomyResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        taxonomyId:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        fullName:
          type: string
          nullable: true
        path:
          type: string
          nullable: true
        level:
          type: integer
          format: int32
        handle:
          type: string
          nullable: true
        vertical:
          type: string
          nullable: true
        verticalPrefix:
          type: string
          nullable: true
        verticalId:
          type: integer
          format: int64
          nullable: true
        taxonomyVertical:
          $ref: '#/components/schemas/TaxonomyTaxonomyVerticalResponse'
        parentId:
          type: integer
          format: int64
          nullable: true
        parent:
          $ref: '#/components/schemas/TaxonomyTaxonomyResponse'
        children:
          type: array
          items:
            $ref: '#/components/schemas/TaxonomyTaxonomyResponse'
          nullable: true
        attributes:
          type: array
          items:
            $ref: '#/components/schemas/TaxonomyTaxonomyAttributeResponse'
          nullable: true
        isActive:
          type: boolean
        locale:
          type: string
          nullable: true
        translations:
          type: array
          items:
            $ref: '#/components/schemas/TaxonomyTaxonomyTranslationResponse'
          nullable: true
      additionalProperties: false
    TaxonomyTaxonomyVerticalResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        name:
          type: string
          nullable: true
        prefix:
          type: string
          nullable: true
        handle:
          type: string
          nullable: true
        categories:
          type: array
          items:
            $ref: '#/components/schemas/TaxonomyTaxonomyResponse'
          nullable: true
        isActive:
          type: boolean
        locale:
          type: string
          nullable: true
        translations:
          type: array
          items:
            $ref: '#/components/schemas/TaxonomyTaxonomyVerticalTranslationResponse'
          nullable: true
      additionalProperties: false
    TaxonomyTaxonomyAttributeResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        taxonomyId:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        handle:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        categoryId:
          type: integer
          format: int64
        values:
          type: array
          items:
            $ref: '#/components/schemas/TaxonomyTaxonomyAttributeValueResponse'
          nullable: true
        isRequired:
          type: boolean
        isActive:
          type: boolean
        locale:
          type: string
          nullable: true
        translations:
          type: array
          items:
            $ref: '#/components/schemas/TaxonomyTaxonomyAttributeTranslationResponse'
          nullable: true
      additionalProperties: false
    TaxonomyTaxonomyTranslationResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        locale:
          type: string
          nullable: true
        parentId:
          type: integer
          format: int64
        name:
          type: string
          nullable: true
        fullName:
          type: string
          nullable: true
      additionalProperties: false
    TaxonomyTaxonomyVerticalTranslationResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        locale:
          type: string
          nullable: true
        parentId:
          type: integer
          format: int64
        name:
          type: string
          nullable: true
      additionalProperties: false
    TaxonomyTaxonomyAttributeValueResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        taxonomyId:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
        handle:
          type: string
          nullable: true
        attributeId:
          type: integer
          format: int64
        isActive:
          type: boolean
        locale:
          type: string
          nullable: true
        translations:
          type: array
          items:
            $ref: >-
              #/components/schemas/TaxonomyTaxonomyAttributeValueTranslationResponse
          nullable: true
      additionalProperties: false
    TaxonomyTaxonomyAttributeTranslationResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        locale:
          type: string
          nullable: true
        parentId:
          type: integer
          format: int64
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
      additionalProperties: false
    TaxonomyTaxonomyAttributeValueTranslationResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        locale:
          type: string
          nullable: true
        parentId:
          type: integer
          format: int64
        value:
          type: string
          nullable: true
      additionalProperties: false

````